Organization Invitations
View and administer organization invitations.
Invite a User to an Organization
/invite
Create a new invite for a user to join an organization.
Requires a bearer access token for this API. See Authentication.
Request body
Option 1: one of
Option 2: OrganizationInvitePayload[]
Responses
The Issued Authorization Token.
Option 1: object
Option 2: object
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/invite" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "groupIds": [], "ttl": 0, "email": "string", "type": "email" }'
Delete an Invite
/invite
Delete an organization invitation.
Requires a bearer access token for this API. See Authentication.
Request body
Responses
Ok
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/invite" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "email": "john.smith@cambrionix.com" }'
List Invite Tokens
/invites
Get a list of currently valid invite tokens.
Requires a bearer access token for this API. See Authentication.
Parameters
Continuation token
Number of records to return
Responses
A list of invite codes.
Paging details for the list.
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/invites" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Join Organization
/organization/join
Join an organization.
Requires a bearer access token for this API. See Authentication.
Request body
Option 1: object
Option 2: object
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/organization/join" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "organizationId": "string" }'